Loan Approvals
Get Loan Request
Read one loan request
GET
/
lending-external-securities-v2
/
api
/
markets
/
{marketId}
/
loan-requests
/
{ref}
Get Loan Request
curl --request GET \
--url https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"request": {
"ref": "lrq_k3vx7q2mwd4h5pn6tr2a",
"kind": "OPEN",
"loanId": null,
"status": "APPROVED",
"marketAddress": "0x41b9c4d5dee70a5e3682094462e5065275e728a9",
"borrowerWallet": "0x7c1e3a5f2b9d4e6a8c0f1b3d5e7a9c2b4d6f8e1a",
"externalReference": "CASE-2026.11_042",
"amount": "25000",
"amountRaw": "25000000000",
"collateralAmount": "40",
"symbol": "USDC",
"decimals": 6,
"approvedAmount": "25000",
"approvedAmountRaw": "25000000000",
"validUntil": "2026-11-24T16:40:00.000Z",
"approver": "0x7712db30a7b4ffd9c445793089118b60e56d752a",
"approveTxHash": "0x9f2c41d8b7e05a3164c2870fbd935e1a4c7802db6135ea9048f7c21b5d3ea41b",
"decidedAt": "2026-11-21T16:41:07.000Z",
"usedTxHash": null,
"usedAt": null,
"createdAt": "2026-11-21T16:02:11.000Z",
"updatedAt": "2026-11-21T16:41:07.000Z",
"requestedByThisInstance": true,
"viewerRole": {
"bank": false,
"borrower": true
},
"nextStep": "OPEN_LOAN"
},
"marketId": "cmwfk2h7x0003jw9w4q8b2n1c"
},
"error": null
}
Returns one loan request with its status, the approval once it is given, and what your side does next.
Path Parameters
Response Fields
Show child attributes
Show child attributes
{
"success": true,
"data": {
"request": {
"ref": "lrq_k3vx7q2mwd4h5pn6tr2a",
"kind": "OPEN",
"loanId": null,
"status": "APPROVED",
"marketAddress": "0x41b9c4d5dee70a5e3682094462e5065275e728a9",
"borrowerWallet": "0x7c1e3a5f2b9d4e6a8c0f1b3d5e7a9c2b4d6f8e1a",
"externalReference": "CASE-2026.11_042",
"amount": "25000",
"amountRaw": "25000000000",
"collateralAmount": "40",
"symbol": "USDC",
"decimals": 6,
"approvedAmount": "25000",
"approvedAmountRaw": "25000000000",
"validUntil": "2026-11-24T16:40:00.000Z",
"approver": "0x7712db30a7b4ffd9c445793089118b60e56d752a",
"approveTxHash": "0x9f2c41d8b7e05a3164c2870fbd935e1a4c7802db6135ea9048f7c21b5d3ea41b",
"decidedAt": "2026-11-21T16:41:07.000Z",
"usedTxHash": null,
"usedAt": null,
"createdAt": "2026-11-21T16:02:11.000Z",
"updatedAt": "2026-11-21T16:41:07.000Z",
"requestedByThisInstance": true,
"viewerRole": {
"bank": false,
"borrower": true
},
"nextStep": "OPEN_LOAN"
},
"marketId": "cmwfk2h7x0003jw9w4q8b2n1c"
},
"error": null
}
⌘I
Get Loan Request
curl --request GET \
--url https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trusset.org/lending-external-securities-v2/api/markets/{marketId}/loan-requests/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"request": {
"ref": "lrq_k3vx7q2mwd4h5pn6tr2a",
"kind": "OPEN",
"loanId": null,
"status": "APPROVED",
"marketAddress": "0x41b9c4d5dee70a5e3682094462e5065275e728a9",
"borrowerWallet": "0x7c1e3a5f2b9d4e6a8c0f1b3d5e7a9c2b4d6f8e1a",
"externalReference": "CASE-2026.11_042",
"amount": "25000",
"amountRaw": "25000000000",
"collateralAmount": "40",
"symbol": "USDC",
"decimals": 6,
"approvedAmount": "25000",
"approvedAmountRaw": "25000000000",
"validUntil": "2026-11-24T16:40:00.000Z",
"approver": "0x7712db30a7b4ffd9c445793089118b60e56d752a",
"approveTxHash": "0x9f2c41d8b7e05a3164c2870fbd935e1a4c7802db6135ea9048f7c21b5d3ea41b",
"decidedAt": "2026-11-21T16:41:07.000Z",
"usedTxHash": null,
"usedAt": null,
"createdAt": "2026-11-21T16:02:11.000Z",
"updatedAt": "2026-11-21T16:41:07.000Z",
"requestedByThisInstance": true,
"viewerRole": {
"bank": false,
"borrower": true
},
"nextStep": "OPEN_LOAN"
},
"marketId": "cmwfk2h7x0003jw9w4q8b2n1c"
},
"error": null
}
